Subject: Re: bug#12679: 24.2.50; Can't font-at for the beginning of a string

From: martin rudalics <[email-masked]>
Date: Sat, 20 Oct 2012 14:19:54 +0200

Could you please also (1) add a description of the STRING argument in
the doc-string of `font-at', and (2) explain what happens when the
selected window or the window passed as argument do not show the current
buffer.  IIUC face_at_buffer_position expects the window passed to it to
show the current buffer but this might not be true when `font-at' calls
it.  There's also this comment in face_at_buffer_position:

   /* W must display the current buffer.  We could write this function
      to use the frame and buffer of W, but right now it doesn't.  */
   /* eassert (XBUFFER (w->buffer) == current_buffer); */

Later in the code of face_at_buffer_position I see that w->buffer is
sometimes used explicitly but get the impression that most other parts
of the code use the current buffer instead.

Thanks, martin